Package org.eclipse.gef.fx.nodes

## Interface IConnectionRouter

All Known Implementing Classes:
  `AbstractRouter`, `OrthogonalRouter`, `StraightRouter`

    public interface IConnectionRouter

An `IConnectionRouter` is responsible for `adjustment` of a `Connection`'s points. This may also include providing reference points for `DynamicAnchor`s the connection is attached to.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `route​(Connection connection)` Adjusts the `connection's` anchors (if necessary) to satisfy certain routing constraints.
`boolean` `wasInserted​(IAnchor anchor)` Returns `true` if the given `IAnchor` was added by this `IConnectionRouter` during `route(Connection)`.

### Method Detail

#### route

    void route​(Connection connection)

Adjusts the `connection's` anchors (if necessary) to satisfy certain routing constraints. This includes insertion of 'implicit' anchors, as well as updating the positions of existing anchors (which includes manipulating the `computation parameters` of `dynamic anchors`.

Parameters:
  `connection` - The `Connection` to route.

#### wasInserted

    boolean wasInserted​(IAnchor anchor)

Returns `true` if the given `IAnchor` was added by this `IConnectionRouter` during `route(Connection)`. Otherwise returns `false`.

Parameters:
  `anchor` - The `IAnchor` that is tested for implicitness.
Returns:
  `true` if the given `IAnchor` is implicit, otherwise `false`.